const ServiceBase = require("../../sve.base");
const system = require("../../../system");

class merchantapiService extends ServiceBase {
    constructor() {
        super("merchant", ServiceBase.getDaoName(merchantapiService));
    }

    async infoById(params) {
        let info = await this.dao.infoById(params.id);
        return system.getResultSuccess(info);
    }
}

module.exports = merchantapiService;
